/*
 * カメラ位置の設定
 */
void
setcamera()
	{
	int	camerax;

	AGLResetCamera();
	camerax = FSX/16 + ship.x*7/8;
	// カメラ位置
	AGLTranslateCamera(camerax, ship.y + 0x50, ship.z - 0x20);
	// カメラの見ている位置
	AGLLookAtCamera(camerax, ship.y, FSZ, 0x0, 0x7fff, 0x0);
	// 回転
	AGLRotateCameraZ((3600+ship.deg*2)%3600);
	// パース
	AGLPerspectiveCamera(0xff80);
	}

